Skip to main content
GET
/
responses
/
details
Get Response Details
curl --request GET \
  --url https://api.geogen.io/v1/responses/details \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.geogen.io/v1/responses/details"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.geogen.io/v1/responses/details', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "data": {
    "response": {
      "responseId": "2e24732f-a7b4-490b-918d-63ff5cf48683",
      "responseText": "Here are the top project management tools...",
      "responseLength": 1250,
      "createdAt": "2024-01-15T10:30:00.000Z",
      "modelId": "gpt-4-uuid",
      "isMentioned": true,
      "mentionPosition": 2,
      "mentionSentiment": 0.8,
      "totalOptionsInList": 5
    },
    "prompt": {
      "promptId": "abc123",
      "prompt": "What are the best project management tools?",
      "language": "en",
      "geolocation": "US"
    },
    "mentions": [
      {
        "entityUuid": "entity-uuid-1",
        "entityName": "Asana",
        "entityDomain": "asana.com",
        "position": 1,
        "sentiment": 0.9,
        "isCurrentEntity": false
      },
      {
        "entityUuid": "entity-uuid-2",
        "entityName": "Monday.com",
        "entityDomain": "monday.com",
        "position": 2,
        "sentiment": 0.8,
        "isCurrentEntity": true
      }
    ],
    "citations": [
      {
        "url": "https://www.g2.com/categories/project-management",
        "entityUuid": "g2-entity-uuid"
      }
    ],
    "queryFanouts": [
      {
        "query": "best project management software 2024",
        "entityUuid": "entity-uuid-2",
        "createdAt": "2024-01-15T10:29:55.000Z"
      }
    ],
    "summary": {
      "mentionsCount": 2,
      "citationsCount": 1,
      "queryFanoutsCount": 1
    }
  }
}
{
"error": "<string>"
}
{
"error": "<string>"
}
{
"error": "<string>"
}

Authorizations

Authorization
string
header
required

API key authentication. Format: Bearer wsk_your_api_key

Query Parameters

responseId
string
required

Response UUID (from the /responses endpoint)

entityId
string
required

Entity ID to get mention context for

Response

Successful response

success
boolean
data
object